Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class TraXLiaison

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.TraXLiaison

All Implemented Interfaces:
  XSLTLiaison

public class TraXLiaison
extends java.lang.Object
implements XSLTLiaison

Version:
  $Revision: 1.1 $ $Date: 2001/01/03 16:48:39 $
Author:
  Sam Ruby, Davanum Srinivas

Field Summary
`protected static java.lang.String` | `FILEURL`

Constructor Summary
`TraXLiaison()`

Method Summary
`void` | `addParam(java.lang.String name, java.lang.String value)`
`protected java.lang.String` | `normalize(java.lang.String fileName)`
`void` | `setStylesheet(java.lang.String fileName)`
`void` | `transform(java.lang.String infile, java.lang.String outfile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILEURL

    protected static final java.lang.String FILEURL

Constructor Detail

### TraXLiaison

    public TraXLiaison()
                throws java.lang.Exception

Method Detail

### setStylesheet

    public void setStylesheet(java.lang.String fileName)
                       throws java.lang.Exception

  Specified by:
    `setStylesheet` in interface `XSLTLiaison`

### transform

    public void transform(java.lang.String infile,
                          java.lang.String outfile)
                   throws java.lang.Exception

  Specified by:
    `transform` in interface `XSLTLiaison`

### normalize

    protected java.lang.String normalize(java.lang.String fileName)

### addParam

    public void addParam(java.lang.String name,
                         java.lang.String value)

  Specified by:
    `addParam` in interface `XSLTLiaison`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.